## org.eclipse.datatools.connectivity.ui.dse.actions
Class SelectProfileAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.connectivity.ui.dse.actions.SelectProfileAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class SelectProfileAction

extends org.eclipse.jface.action.Action
implements org.eclipse.ui.IObjectActionDelegate

Opens the profile selection dialog and returns the name of the selected dialog via getCPName(). To set the initial selection, call setCPName() before running the action.

Author:
  brianf

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`SelectProfileAction()` Empty constructor
`SelectProfileAction(java.lang.String text)` Simple constructor with action text
`SelectProfileAction(java.lang.String text, org.eclipse.jface.resource.ImageDescriptor image)` Simple constructor with action text and image
`SelectProfileAction(java.lang.String text, int style)` Simple constructor with action text and style bit

Method Summary
`java.lang.String` `getCPName()` Return the selected profile
`void` `run()`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`
`void` `setCPName(java.lang.String name)` Set the initially selected profile

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### SelectProfileAction

    public SelectProfileAction()

  Empty constructor

### SelectProfileAction

    public SelectProfileAction(java.lang.String text)

  Simple constructor with action text

  Parameters:
    `text` -

### SelectProfileAction

    public SelectProfileAction(java.lang.String text,
                               org.eclipse.jface.resource.ImageDescriptor image)

  Simple constructor with action text and image

  Parameters:
    `text` -

### SelectProfileAction

    public SelectProfileAction(java.lang.String text,
                               int style)

  Simple constructor with action text and style bit

  Parameters:
    `text` -
    `style` -

Method Detail

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### setCPName

    public void setCPName(java.lang.String name)

  Set the initially selected profile

  Parameters:
    `name` -

### getCPName

    public java.lang.String getCPName()

  Return the selected profile

  Returns: